﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SnakesAndLadders.Models
{
    public class BoardLevelOne : Board
    {
        #region constructor
        public BoardLevelOne() : base()
        {

        }
        #endregion constructor

        #region methods
        public override string[,] Level(string player)
        {
            string[,] board =
                {
            {"_","__","_","__","_","__","_", "__", "_", "__", "_", "__", "_", "__", "_", "__", "_", "__", "_", "__","_",  "_" },
            {"1","00"," ","99"," ","98"," ", "97", " ", "96", " ", "95", " ", "94", " ", "93", " ", "92", " ", "91"," ", "|" },
            {"|","81"," ","82"," ","83"," ", "84", " ", "85", " ", "86", " ", "87", " ", "88", " ", "89", " ", "90"," ", "|" },
            {"|","80"," ","79"," ","78"," ", "77", " ", "76", " ", "75", " ", "74", " ", "73", " ", "72", " ", "71"," ", "|" },
            {"|","61"," ","62"," ","63"," ", "64", " ", "65", " ", "66", " ", "67", " ", "68", " ", "69", " ", "70"," ", "|" },
            {"|","60"," ","59"," ","58"," ", "57", " ", "56", " ", "55", " ", "54", " ", "53", " ", "52", " ", "51"," ", "|" },
            {"|","41"," ","42"," ","43"," ", "44", " ", "45", " ", "46", " ", "47", " ", "48", " ", "49", " ", "50"," ", "|" },
            {"|","40"," ","39"," ","38"," ", "37", " ", "36", " ", "35", " ", "34", " ", "33", " ", "32", " ", "31"," ", "|" },
            {"|","21"," ","22"," ","23"," ", "24", " ", "25", " ", "26", " ", "27", " ", "28", " ", "29", " ", "30"," ", "|" },
            {"|","20"," ","19"," ","18"," ", "17", " ", "16", " ", "15", " ", "14", " ", "13", " ", "12", " ", "11"," ", "|" },
            {"|",player," ","02"," ","03"," ", "04", " ", "05", " ", "06", " ", "07", " ","08", " ","09", " ", "10"," ", "|" },
            {"T","TT","T","TT","T","TT","T", "TT", "T", "TT", "T", "TT", "T", "TT", "T", "TT", "T", "TT", "T", "TT","T", "T" }
            };
            return board;

        }

        // move magic
        public override void Move()
        {
            base.Move();
        }
        #endregion methods
    }
}
